<?php
/**
* History:
*
* 1.0 - First version
* 1.1 - update, pagination
* 1.2 - update, sorting, search, translates
* 1.2.1 - modification css pagination, keep pagination length when we change the table or the display
* 1.2.2 - Fixed a security problem
*
*  @author    Vincent MASSON <contact@coeos.pro>
*  @copyright Vincent MASSON <www.coeos.pro>
*  @license   http://www.coeos.pro/boutique/fr/content/3-conditions-generales-de-ventes
*/

include(dirname(__FILE__).'/../../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../../init.php');
if (!defined('_PS_VERSION_') || Configuration::get('token_affichertables') != Tools::getValue('token'))
	exit;

$codehtml = (int)Tools::getValue('codehtml', 0);
$table = Tools::getValue('table');

$datas = Db::getInstance()->ExecuteS('SELECT * FROM `'.pSQL($table).'`');

if ($datas)
{
	echo '<table class="displayTables display"><thead><tr>';
	foreach (array_keys($datas[0]) as $champ)
		echo '<td class="bg gras">'.$champ.'</td>';
	echo '</tr></thead>';
	foreach ($datas as $key => $data)
	{
		echo '<tr>';
		foreach ($data as $value)
			echo '<td>'.displayValue($codehtml, $value).'</td>';
		echo '</tr>';
	}
	echo '</table><br/>';
}

function displayValue($codehtml, $value)
{
	if ($codehtml == 0)
		return $value;
	if ($codehtml == 1)
		return htmlentities($value);
	if ($codehtml == 2)
		return '<pre>'.htmlentities($value).'</pre>';
}